package model

import "time"

type Currency struct {
	ID             int      `json:"id"`
	PsIDCurrency   uint     `json:"ps_id_currency"`
	IsDefault      bool     `json:"is_default"`
	IsActive       bool     `json:"is_active"`
	ConversionRate *float64 `json:"conversion_rate,omitempty"`
}

func (Currency) TableName() string {
	return "b2b_currencies"
}

type CurrencyRate struct {
	B2bIdCurrency  uint      `json:"b2b_id_currency"`
	CreatedAt      time.Time `json:"created_at"`
	ConversionRate *float64  `json:"conversion_rate,omitempty"`
}

func (CurrencyRate) TableName() string {
	return "b2b_currency_rates"
}
